cURL
curl --request POST \
--url https://api.useanima.sh/v1/webhooks/{id}/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": "message.received"
}
'import requests
url = "https://api.useanima.sh/v1/webhooks/{id}/test"
payload = { "event": "message.received" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({event: 'message.received'})
};
fetch('https://api.useanima.sh/v1/webhooks/{id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"deliveryId": "<string>"
}API Reference
Post webhooks test
POST
/
webhooks
/
{id}
/
test
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Path Parameters
Unique identifier of the webhook to test
Pattern:
^[0-9a-z]+$Body
application/json
Request body for sending a test payload to a webhook endpoint
Event type to simulate in the test delivery
Available options:
message.received, message.received.auto, message.sent, message.failed, message.bounced, message.loop_detected, agent.created, agent.updated, agent.deleted, phone.provisioned, phone.released, call.summary.ready, call.score.ready, call.security.alert, call.security.scan.ready, call.started, call.ended, a2a.task.received, vault.credential.refresh_failed 